<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd"><html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <title>Example: Grouped Menu Items With Titles From Markup (YUI Library)</title>

                <!-- Standard reset and fonts -->

        <link rel="stylesheet" type="text/css" href="../../build/reset/reset.css">
        <link rel="stylesheet" type="text/css" href="../../build/fonts/fonts.css">

 

        <!-- CSS for Menu -->

        <link rel="stylesheet" type="text/css" href="../../build/menu/assets/menu.css">
 

        <!-- Page-specific styles -->

        <style type="text/css">

            body { margin:.5em; }
            
            h1 { font-weight:bold; }            

            div.yuimenu {
            
                position:absolute;
                visibility:hidden;
            
            }

            p#clicknote {

                margin-top:1em;

            }

            p#clicknote em {
            
                font-weight:bold;
            
            }

        </style>

                <!-- Namespace source file -->

        <script type="text/javascript" src="../../build/yahoo/yahoo.js"></script>

        <!-- Dependency source files -->

        <script type="text/javascript" src="../../build/event/event.js"></script>
        <script type="text/javascript" src="../../build/dom/dom.js"></script>


        <!-- Container source file -->
        <script type="text/javascript" src="../../build/container/container_core.js"></script>

        <!-- Menu source file -->
        <script type="text/javascript" src="../../build/menu/menu.js"></script>

        <!-- Page-specific script -->

        <script type="text/javascript">

            YAHOO.example.onMenuReady = function(p_oEvent) {

                var oMenu = new YAHOO.widget.Menu("menuwithgroups", { fixedcenter: true });

                oMenu.render();
    
                oMenu.show();


                function onMenuToggleMouseDown(p_oEvent) {

                    YAHOO.util.Event.stopPropagation(p_oEvent);
                                    
                    oMenu.show();
                
                }

                YAHOO.util.Event.addListener("menutoggle", "mousedown", onMenuToggleMouseDown);

            }


            YAHOO.util.Event.onContentReady("menuwithgroups", YAHOO.example.onMenuReady);
            
        </script>

    </head>
    <body>

        <h1>Example: Grouped Menu Items With Titles From Markup (YUI Library) <em>[<a href="index.html">Examples Home</a>]</em></h1>
        <p>This example demonstrates how to title groups of MenuItem instances.  The Menu API also supports building a menu like this <a href="example06.html">using nothing but JavaScript</a>.</p>
        <p id="clicknote"><em>Note:</em> By default clicking outside of a menu will hide it.  Additionally, menu items without a submenu or a URL to navigate will hide their parent menu when clicked.  Click the "Show Menu" button below to make the menu visible if it is hidden.</p>
        <button id="menutoggle">Show Menu</button>

        <div id="menuwithgroups" class="yuimenu">
            <div class="bd">
                <h6 class="first-of-type">Yahoo! PIM</h6>
                <ul class="first-of-type">
                    <li class="yuimenuitem"><a href="http://mail.yahoo.com">Yahoo! Mail</a></li>
                    <li class="yuimenuitem"><a href="http://addressbook.yahoo.com">Yahoo! Address Book</a></li>
                    <li class="yuimenuitem"><a href="http://calendar.yahoo.com">Yahoo! Calendar</a></li>
                    <li class="yuimenuitem"><a href="http://notepad.yahoo.com">Yahoo! Notepad</a></li>
                </ul>
                <h6>Yahoo! Search</h6>
                <ul>
                    <li class="yuimenuitem"><a href="http://local.yahoo.com">Yahoo! Local</a></li>
                    <li class="yuimenuitem"><a href="http://maps.yahoo.com">Yahoo! Maps</a></li>
                    <li class="yuimenuitem"><a href="http://travel.yahoo.com">Yahoo! Travel</a></li>
                    <li class="yuimenuitem"><a href="http://shopping.yahoo.com">Yahoo! Shopping</a></li>
                </ul>
                <h6>Yahoo! Communications</h6>
                <ul>
                    <li class="yuimenuitem"><a href="http://messenger.yahoo.com">Yahoo! Messenger</a></li>
                    <li class="yuimenuitem"><a href="http://360.yahoo.com">Yahoo! 360</a></li>
                    <li class="yuimenuitem"><a href="http://groups.yahoo.com">Yahoo! Groups</a></li>
                    <li class="yuimenuitem"><a href="http://photos.yahoo.com">Yahoo! Photos</a></li>
                </ul>
            </div>
        </div>        

    </body>
</html>
